{namespace core=TYPO3\CMS\Core\ViewHelpers}
{namespace sitemgr=KayStrobach\Sitemgr\ViewHelpers}
<h1>
    <f:translate key="Customers" default="Customers" />
</h1>

<f:if condition="{customers}">
    <f:widget.paginate objects="{customers}" as="paginatedCustomers" configuration="{insertAbove:0, insertBelow:1}">
        <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th><f:translate key="Customer" default="customer" /></th>
                <th><f:translate key="CustomerAdmins" default="customer main administrator" /></th>
                <th><f:translate key="CustomerAdmins" default="customer administrators" /></th>
                <th><f:translate key="CustomerNormalUsers" default="customer administrators" /></th>
                <f:comment>
                    <th><f:translate key="customerUris" default="uri" /></th>
                </f:comment>
                <th>&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            <f:for each="{paginatedCustomers}" as="customer">
                <tr>
                    <td>
                        <core:iconForRecord table="pages" row="{customer.row}" />
                        <sitemgr:be.link.editLink parameters="edit[pages][{customer.uid}]=edit" returnUrl="{f:uri.action(action:'index', pageUid:customer.uid)}">
                            {customer.title}
                        </sitemgr:be.link.editLink>
                    </td>
                    <td>
                        <f:render partial="BackendUser/Single" arguments="{user:customer.mainBeUser}" />
                    </td>
                    <td>
                        <f:render partial="BackendUser/SmallList" arguments="{users:customer.adminBeUsers}" />
                    </td>
                    <td>
                        <f:render partial="BackendUser/SmallList" arguments="{users:customer.normalBeUsers}" />
                    </td>
                    <f:comment>
                        <td>
                            <f:render partial="Uris/SmallList" arguments="{uris:customer.uris}"/>
                        </td>
                    </f:comment>
                    <td class="text-right">
                        <sitemgr:be.link.editLink parameters="edit[pages][{customer.uid}]=edit" returnUrl="{f:uri.action(action:'index', pageUid:customer.uid)}" class="btn btn-default">
                            <core:icon identifier="actions-open"></core:icon>
                        </sitemgr:be.link.editLink>
                    </td>
                </tr>
            </f:for>
            </tbody>
        </table>
    </f:widget.paginate>
</f:if>

